GrailsRequestContext (Grails 3.1.1)
Date: 2016-02-04

Package: org.grails.web.servlet

## [Java] Interface GrailsRequestContext

- Defines the methods and objects available during a Grails request context.

  Authors:
    Graeme Rocher
  Since:
    0.6

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getActionName()` @return The Action name
    `org.springframework.context.ApplicationContext` | `getApplicationContext()` The ApplicationContext instance.
    `java.lang.String` | `getControllerName()` @return The Controller Name
    `java.io.Writer` | `getOut()` The response writer.
    `java.util.Map` | `getParams()` The params object.
    `javax.servlet.http.HttpServletRequest` | `getRequest()` The request object.
    `java.lang.String` | `getRequestURI()` @return The Request URI
    `javax.servlet.http.HttpServletResponse` | `getResponse()` The response object.
    `javax.servlet.ServletContext` | `getServletContext()` The servletContext object.
    `javax.servlet.http.HttpSession` | `getSession()` The session object.

- - ### Method Detail

    - #### public java.lang.String getActionName()

      Returns:
        The Action name

    - #### public org.springframework.context.ApplicationContext getApplicationContext()

      The ApplicationContext instance.

      Returns:
        The ApplicationCOntext

    - #### public java.lang.String getControllerName()

      Returns:
        The Controller Name

    - #### public java.io.Writer getOut()

      The response writer.

      Returns:
        The response writer

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map getParams()

      The params object.

      Returns:
        The params object

    - #### public javax.servlet.http.HttpServletRequest getRequest()

      The request object.

      Returns:
        The request object

    - #### public java.lang.String getRequestURI()

      Returns:
        The Request URI

    - #### public javax.servlet.http.HttpServletResponse getResponse()

      The response object.

      Returns:
        The response object

    - #### public javax.servlet.ServletContext getServletContext()

      The servletContext object.

      Returns:
        The servletContext Object

    - #### public javax.servlet.http.HttpSession getSession()

      The session object.

      Returns:
        The session object